org.jbpm.process.core.async

## Class AsyncStartProcessCommand

- java.lang.Object
- - org.jbpm.process.core.async.AsyncStartProcessCommand

- All Implemented Interfaces:
    org.kie.api.executor.Command

      public class AsyncStartProcessCommand
      extends Object
      implements org.kie.api.executor.Command

  Executor command that allows asynchronously start process instance based on given parameters:
  - DeploymentId - either given explicitly or will be used same as the project this command is triggered from
  - ProcessId - identifier of the process to start - required
  - CorrelationKey - correlation key to be associated with new process instance - optional
  - Variables - Map of process variables to be given to new process instance

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncStartProcessCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.executor.ExecutionResults` | `execute(org.kie.api.executor.CommandContext ctx)`
    `protected Object` | `getData(String name, org.kie.api.executor.CommandContext ctx)`
    `protected String` | `getDeploymentId(org.kie.api.executor.CommandContext ctx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncStartProcessCommand

          public AsyncStartProcessCommand()

  - ### Method Detail

    - #### execute

          public org.kie.api.executor.ExecutionResults execute(org.kie.api.executor.CommandContext ctx)
                                                        throws Exception

      Specified by:
        `execute` in interface `org.kie.api.executor.Command`
      Throws:
        `Exception`

    - #### getData

          protected Object getData(String name,
                                   org.kie.api.executor.CommandContext ctx)

    - #### getDeploymentId

          protected String getDeploymentId(org.kie.api.executor.CommandContext ctx)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.